Get Top APIs
GET /obp/v7.0.0/management/metrics/top-apis
OBPv6.0.0-getTopAPIs Roles: CanReadMetrics MetricAPI
Get metrics about the most popular APIs. e.g.: total count, response time (in ms), etc.
This v6.0.0 version includes the operation_id field which uniquely identifies each API endpoint across different API standards (OBP, Berlin Group, UK Open Banking, etc.).
Should be able to filter on the following fields:
eg: /management/metrics/top-apis?from_date=1970-01-01T00:00:00.000Z&to_date=2026-10-21T01:45:41.465Z&consumer_id=5 &user_id=66214b8e-259e-44ad-8868-3eb47be70646&implemented_by_partial_function=getTransactionsForBankAccount &implemented_in_version=v3.0.0&url=/obp/v3.0.0/banks/gh.29.uk/accounts/8ca8a7e4-6d02-48e3-a029-0b2bf89de9f0/owner/transactions &verb=GET&anon=false&app_name=MapperPostman &exclude_app_names=API-EXPLORER,API-Manager,SOFI,null
1 from_date (defaults to one year ago): eg:from_date=1970-01-01T00:00:00.000Z
2 to_date (defaults to the current date) eg:to_date=2026-10-21T01:45:41.465Z
3 consumer_id (if null ignore)
4 user_id (if null ignore)
5 anon (if null ignore) only support two values: true (return where user_id is null) or false (return where user_id is not null)
6 url (if null ignore), note: can not contain '&'.
7 app_name (if null ignore)
8 implemented_by_partial_function (if null ignore)
9 implemented_in_version (if null ignore)
10 verb (if null ignore)
11 correlation_id (if null ignore)
12 duration (if null ignore) non digit chars will be silently omitted
13 exclude_app_names (if null ignore). eg: &exclude_app_names=API-EXPLORER,API-Manager,SOFI,null
14 exclude_url_patterns (if null ignore). You can design your own SQL NOT LIKE pattern. eg: &exclude_url_patterns=%management/metrics%,%management/aggregate-metrics%
15 exclude_implemented_by_partial_functions (if null ignore). eg: &exclude_implemented_by_partial_functions=getMetrics,getConnectorMetrics,getAggregateMetrics
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
CanReadMetrics entitlement is required.
JSON response body fields (5)
- count
- implemented_by_partial_function
- implemented_in_version
- operation_id
- OBPv6.0.0-getBanks
- top_apis
Example success response
{
"top_apis": [
{
"count": 1000,
"implemented_by_partial_function": "getBanks",
"implemented_in_version": "v4.0.0",
"operation_id": "OBPv4.0.0-getBanks"
},
{
"count": 500,
"implemented_by_partial_function": "getBank",
"implemented_in_version": "v4.0.0",
"operation_id": "OBPv4.0.0-getBank"
},
{
"count": 250,
"implemented_by_partial_function": "getAccountList",
"implemented_in_version": "v1.3",
"operation_id": "BGv1.3-getAccountList"
}
]
}Possible errors (5)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-10016: Incorrect filter Parameters in URL.
- OBP-30042: Could not get the top apis from database.
- OBP-50000: Unknown Error.